Reverse a load that was previously requested but has potentially failed.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-20 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | The tracking number of the card that was either loaded or to which the pocket belongs |
| pocketUUID | String | 0-255 characters | ✓ | The UUID of the type of pocket onto which the funds were originally loaded, else empty if not applicable |
| requestAmount | Integer | ✓ | The amount that was requested in original LoadFunds call | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| referenceID | String | 1-255 characters | ✓ | The value of transactionID that was used with original LoadFunds call |
| referenceDate | Date | ✓ | The value of transactionDate that was used with the original LoadFunds call | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>LoadFundsReverse</methodName>
<params>
<param>
<value>
<string>0008866376</string>
</value>
</param>
<param>
<value>
<string>999000001</string>
</value>
</param>
<param>
<value>
<string>953860100000030</string>
</value>
</param>
<param>
<value>
<string>NOTUSED</string>
</value>
</param>
<param>
<value>
<int>11100</int>
</value>
</param>
<param>
<value>
<string>43-loadreverse</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20161006T08:46:10</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>43-load</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20161006T08:46:09</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>70260286DCE74D1F918ADD73E089E46E1507F120</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| customerReference | String | Echo |
| trackingNumber | String | Echo |
| pocketUUID | String | Echo |
| requestAmount | Integer | Echo |
| referenceID | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id number generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>43-loadreverse</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0008866376</string>
</value>
</member>
<member>
<name>requestAmount</name>
<value>
<int>11100</int>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>999000001</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>pocketUUID</name>
<value>
<string>NOTUSED</string>
</value>
</member>
<member>
<name>referenceID</name>
<value>
<string>43-load</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>953860100000030</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
